# Class NewSaxonSchemaReaderFactory

java.lang.Object
com.thaiopensource.validate.schematron.SchematronSchemaReaderFactory
com.thaiopensource.validate.schematron.NewSaxonSchemaReaderFactory

All Implemented Interfaces:
  `SchemaReaderFactory`, `TransformerFactoryInitializer`

public class NewSaxonSchemaReaderFactory extends SchematronSchemaReaderFactory

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewSaxonSchemaReaderFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initTransformerFactory(TransformerFactory factory)`
  `SAXTransformerFactory`
  `newTransformerFactory()`

  ### Methods inherited from class com.thaiopensource.validate.schematron.SchematronSchemaReaderFactory

  `createSchemaReader, getOption`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NewSaxonSchemaReaderFactory

    public NewSaxonSchemaReaderFactory()

- ## Method Details

  - ### newTransformerFactory

    public SAXTransformerFactory newTransformerFactory()
    Overrides:
      `newTransformerFactory` in class `SchematronSchemaReaderFactory`

  - ### initTransformerFactory

    public void initTransformerFactory(TransformerFactory factory)
    Specified by:
      `initTransformerFactory` in interface `TransformerFactoryInitializer`
    Overrides:
      `initTransformerFactory` in class `SchematronSchemaReaderFactory`